EdgePay Developer Tools

Authorization Only & Sale

This Auth Only transaction where money is not moved but funds may be “reserved” on the consumer’s card. For Sale Transaction, performs the functionality of the Authorization Only and Deposit Only transactions in one process.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Authorization Only

The EdgePay platform will respond with an authorization code if the transaction is approved by the bank that issued the card (the bank is known as the “Issuer”).

🚧

Note:

Adding "token":"yes" to your Payment request is to return a Token Value that coverts a card information with a Token that may be used for you to store locally and then use later in the Payment, Refund, or Recurring API transaction.

🔖 Auth Only sample payload:


  'url': 'https://api.edgepay-uat.com/payment'

  'headers': {
    'merchantKey': 'E3DFE3D0150EB516F4E351CE7FE5A2FB799B320BDC5D523B',
    'externalReferenceID': '1234561684951974',
    'transactionDate': '2023-05-24T18:15:01'
  },
  body: JSON.stringify({
    "merchantID": "6320340123456900",
    "terminalID": "88800000282601",
    "paymentDataInput": "Manualentry",
    "amount": "1.00",
    "currencyCode": "840",
    "cardNumber": "4012000098765439",
    "cardExpirationDate": "1227",
    "billingZip": "85284"
  })

{
    "result": "A",
    "responseCode": "A0000",
    "responseMessage": "Success",
    "merchantID": "6320340123456900",
    "terminalID": "88800000282601",
    "timestamp": "2023-05-24-11-12-50",
    "securityResult": "A",
    "securityMessage": "APPROVED",
    "authCode": "TAS386",
    "processor": "TSYS",
    "amount": "1.00",
    "currencyCode": "840",
    "maskedAccount": "401200******5439",
    "cardExpirationDate": "1227",
    "transactionID": "CS41695126407914528",
    "avsResponse": "Zip Match(Z) : The nine character ZIP code submitted matches what is on file.",
    "commercialCard": "n",
    "avsCode": "Z",
    "invalidEffectiveDate": false
}

  'url': 'https://api.edgepay-uat.com/payment',

  'headers': {
    'merchantKey': '7A43F870DF4A0745E6D5F1AD29760BCE7601388A3D7632D5',
    'externalReferenceID': '1234561684951974',
    'transactionDate': '2023-05-24T18:15:01'
  },
  body: JSON.stringify({
    "merchantID": "6320340123456900",
    "terminalID": "88800000282601",
    "paymentDataInput": "Manualentry",
    "amount": "1.00",
    "currencyCode": "840",
    "cardNumber": "4012000098765439",
    "cardExpirationDate": "1227",
    "billingZip": "85284",
    "token": "yes"
  })
{
    "result": "A",
    "responseCode": "A0000",
    "responseMessage": "Success",
    "merchantID": "6320340123456900",
    "terminalID": "88800000282601",
    "timestamp": "2023-05-24-11-14-35",
    "securityResult": "A",
    "securityMessage": "APPROVED",
    "authCode": "TAS437",
    "processor": "TSYS",
    "amount": "1.00",
    "currencyCode": "840",
    "maskedAccount": "401200******5439",
    "cardExpirationDate": "1227",
    "tokenID": "5840938697279316",
    "transactionID": "CS89931996136018562",
    "avsResponse": "Zip Match(Z) : The nine character ZIP code submitted matches what is on file.",
    "commercialCard": "n",
    "avsCode": "Z",
    "invalidEffectiveDate": false
}

Sale Transaction

This transaction is a combination of Auth Only and Capture transaction. Based on its efficiency, this is one of the most common transaction types. The Card Holder and the merchant will have their money moved in the same time.

🚧

Important Note:

To test this payment request, you need to add captureToo on Auth Only request to make it as a Sale Transaction request. Remove the "yes" in the captureToo field, this will result in a approved Authorization Only request. Use the Transaction ID from response when submitting the adjust request.

🔖 Sale sample payload:

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://api.edgepay-uat.com/payment',
  'headers': {
    'Content-Type': 'application/json',
    'merchantKey': '7A43F870DF4A0745E6D5F1AD29760BCE7601388A3D7632D5',
    'externalReferenceID': '1234561684951974',
    'transactionDate': '2023-05-24T18:15:01'
  },
  body: JSON.stringify({
    "captureToo":"yes",
    "merchantID": "888000002826",
    "terminalID": "88800000282601",
    "paymentDataInput": "Manualentry",
    "amount": "1.00",
    "currencyCode": "840",
    "cardNumber": "4012000098765439",
    "cardExpirationDate": "1227",
    "billingZip": "85284"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
{
    "result": "A",
    "responseCode": "A0000",
    "responseMessage": "Success",
    "merchantID": "888000002826",
    "terminalID": "88800000282601",
    "timestamp": "2023-05-24-15-23-09",
    "securityResult": "A",
    "securityMessage": "APPROVED",
    "authCode": "TAS196",
    "processor": "TSYS",
    "amount": "1.00",
    "maskedAccount": "401200******5439",
    "cardExpirationDate": "1227",
    "tokenID": "5840938697279316",
    "transactionID": "CS28462908699605969",
    "avsResponse": "Zip Match(Z) : The nine character ZIP code submitted matches what is on file.",
    "commercialCard": "n",
    "avsCode": "Z",
    "invalidEffectiveDate": false
}
☑️

Authentication Header:

  • merchantKey = this is the API KEY 🔑 that is associated with your MID provided by GETTRX.
  • externalReferenceId = It is a unique record identifier. Combination of 123456 + UNIX timestamp Sample: 1234561687543122
  • transacationDate = Set to UTC timezone 🕑
                 Format: YYYY-MM-DDTHH:MM:SS
Body Params
string
required

Required - Unique ID assigned by GET

string
required

Required - Unique ID assigned by GET

string
required

Required - Defines the point of sale card enter mode: - Phone - Mail - Internet - Swipe - Manualentry

string
required

Required - Total amount to charge with or without decimal. All minor units after decimal. No decimal amount is processed as major units (dollars, euros, etc.) - Numeric - 12

string

Optional - Multi-Currency Code. Use ISO Currency Code Numbers for Validation

string
required

Conditional - Supply this if card entered manually

string
required

Conditional - Provide if cardNumber is used (MMYY)

string
required

Required - same as billing Address "-" Allowed, ALPHA/Numeric - 10, Test US Zip = 85284, Test Canada Zip = M4P1Z2

string

“yes” to return a Token Value

string

Add “yes” to its value with Auth, and if successful, will mark the transaction for settlement as well to become a SALE transaction

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json